Skip to main content
Permissions

Request a list of role assigned API permissions

This method requires the ApiPermissions:Get permission to be associated with your role.

GET
/gb/role/{role_id}/api/permissions
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
role_idstringrequired

Role Id

Maximum string length: 3
Pattern: ^[1-9]{1}[0-9]*$
permissionstringquery

Optional Permission

This field supports the wildcard % operator.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9\:]+$

Response

application/vnd.catch-e-api.v1+json

Success

itemsstring[]